Bug 2148272 - [abrt] easyeffects: memcpy(): easyeffects killed by SIGSEGV
Summary: [abrt] easyeffects: memcpy(): easyeffects killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easyeffects
Version: 37
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7f056966853c1225e0ac19d3f78...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-24 20:07 UTC by Leonardo Amaral
Modified: 2023-04-17 01:21 UTC (History)
1 user (show)

Fixed In Version: easyeffects-7.0.3-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-17 01:21:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (223.53 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: core_backtrace (28.54 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: cpuinfo (2.78 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: environ (2.20 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: exploitable (82 bytes, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: limits (1.29 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: maps (3.99 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: mountinfo (3.93 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: open_fds (13.30 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details
File: proc_pid_status (1.41 KB, text/plain)
2022-11-24 20:07 UTC, Leonardo Amaral
no flags Details

Description Leonardo Amaral 2022-11-24 20:07:30 UTC
Version-Release number of selected component:
easyeffects-6.3.0-1.fc37

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-com.github.wwmm.easyeffects
cmdline:        /usr/bin/easyeffects --gapplication-service
crash_function: memcpy
dso_list:       /usr/bin/easyeffects easyeffects-6.3.0-1.fc37.x86_64 (Fedora Project) 1668598199
executable:     /usr/bin/easyeffects
journald_cursor: s=811d09434c38487794d3d3e67cc2a534;i=25683a;b=0154cf13e11742f493f481156590cb44;m=44eda4e8a0;t=5ee029fa26616;x=a356920720967ab6
kernel:         6.0.8-300.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memcpy at /usr/include/bits/string_fortified.h:29
 #1 spa_pod_builder_raw at ../spa/include/spa/pod/builder.h:152
 #2 spa_pod_builder_primitive at ../spa/include/spa/pod/builder.h:210
 #3 spa_pod_builder_id at ../spa/include/spa/pod/builder.h:247
 #4 spa_pod_builder_addv at ../spa/include/spa/pod/builder.h:631
 #5 spa_pod_builder_add at ../spa/include/spa/pod/builder.h:647
 #6 client_node_marshal_update at ../src/modules/module-client-node/protocol-native.c:229
 #7 add_node_update.isra.0 at ../src/modules/module-client-node/remote-node.c:346
 #8 emit_info_changed at ../src/pipewire/impl-node.c:260
 #9 node_info at ../src/pipewire/impl-node.c:1445

Comment 1 Leonardo Amaral 2022-11-24 20:07:33 UTC
Created attachment 1927158 [details]
File: backtrace

Comment 2 Leonardo Amaral 2022-11-24 20:07:34 UTC
Created attachment 1927159 [details]
File: core_backtrace

Comment 3 Leonardo Amaral 2022-11-24 20:07:35 UTC
Created attachment 1927160 [details]
File: cpuinfo

Comment 4 Leonardo Amaral 2022-11-24 20:07:37 UTC
Created attachment 1927161 [details]
File: environ

Comment 5 Leonardo Amaral 2022-11-24 20:07:38 UTC
Created attachment 1927162 [details]
File: exploitable

Comment 6 Leonardo Amaral 2022-11-24 20:07:39 UTC
Created attachment 1927163 [details]
File: limits

Comment 7 Leonardo Amaral 2022-11-24 20:07:40 UTC
Created attachment 1927164 [details]
File: maps

Comment 8 Leonardo Amaral 2022-11-24 20:07:41 UTC
Created attachment 1927165 [details]
File: mountinfo

Comment 9 Leonardo Amaral 2022-11-24 20:07:42 UTC
Created attachment 1927166 [details]
File: open_fds

Comment 10 Leonardo Amaral 2022-11-24 20:07:43 UTC
Created attachment 1927167 [details]
File: proc_pid_status

Comment 11 Fedora Update System 2023-04-08 21:40:46 UTC
FEDORA-2023-01f68d9727 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-01f68d9727

Comment 12 Fedora Update System 2023-04-09 01:08:05 UTC
FEDORA-2023-01f68d9727 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-01f68d9727

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-04-17 01:21:26 UTC
FEDORA-2023-01f68d9727 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.